aboutsummaryrefslogtreecommitdiffstats
path: root/core/curl/APKBUILD
diff options
context:
space:
mode:
authorCarlo Landmeter <clandmeter@gmail.com>2008-11-28 08:56:31 +0000
committerNatanael Copa <ncopa@alpinelinux.org>2008-11-28 09:24:40 +0000
commit08c339487b68d723219d384f72e06b6bf2162076 (patch)
treeb09d593ef643bf23da8d7e6ac9986ee3038326fe /core/curl/APKBUILD
parent76b5a73366f42ce0392929a95227019373901c0b (diff)
downloadaports-08c339487b68d723219d384f72e06b6bf2162076.tar.gz
aports-08c339487b68d723219d384f72e06b6bf2162076.tar.bz2
aports-08c339487b68d723219d384f72e06b6bf2162076.tar.xz
extra/curl: new aport
Diffstat (limited to 'core/curl/APKBUILD')
-rw-r--r--core/curl/APKBUILD21
1 files changed, 21 insertions, 0 deletions
diff --git a/core/curl/APKBUILD b/core/curl/APKBUILD
new file mode 100644
index 0000000000..3f435b2173
--- /dev/null
+++ b/core/curl/APKBUILD
@@ -0,0 +1,21 @@
+# Maintainer:Carlo Landmeter
+pkgname=curl
+pkgver=7.19.2
+pkgrel=0
+pkgdesc="An URL retrival utility and library"
+url="http://curl.haxx.se"
+license="MIT"
+depends="zlib uclibc"
+makedepends="openssl"
+source="http://curl.haxx.se/download/$pkgname-$pkgver.tar.bz2"
+
+subpackages="$pkgname-doc $pkgname-dev"
+
+build() {
+ cd $startdir/src/$pkgname-$pkgver
+ ./configure --prefix=/usr --mandir=/usr/share/man --without-libidn --disable-ldap
+ make || return 1
+ make prefix=$startdir/pkg/usr mandir=$startdir/pkg/usr/share/man install
+}
+
+md5sums="3a461b145a4a31fe7d5a44684e7fbdbc curl-7.19.2.tar.bz2"